<%@ LANGUAGE="VBScript" %>

<h3>WysiPad 2 Example Application</h3>

<%

' query for any content in the database

Dim dbConn		' the dbConn to the Database
Dim dbRS		' the record set returned by my query
Dim qSelContent		' the query to execute 

Set dbConn = Server.CreateObject("ADODB.Connection")
Set dbRS = server.CreateObject("ADODB.Recordset") 

dbConn.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + application("WP_DatabasePath") + ";Persist Security Info=False"

qSelContent = "SELECT contentID, contentName "
qSelContent = qSelContent & "FROM content "
qSelContent = qSelContent & "ORDER BY contentName "

' Create a recordset of the content
Set dbRS = dbConn.execute(qSelContent)

%>

<p>[<a href="addEditContent.asp">Add Content</a>][<a href="login.asp?logout=1">Log Out</a>]</p>

<%

' If there is content then loop though it and output a list
If Not dbRS.EOF Then 
%>
<table border="1">
	<tr>
		<td><b>Name</b></td>
		<td><b>Options</b></td>
	</tr>
<%	
	Do While dbRS.EOF = false 
%>
	
	<tr>
		<td><%= dbRS("contentName") %></td>
		<td><a href="viewContent.asp?contentID=<%= dbRS("contentID") %>">View</a> | <a href="addEditContent.asp?contentID=<%= dbRS("contentID") %>">Edit</a> | <a href="deleteContent.asp?contentID=<%= dbRS("contentID") %>">Delete</a></td>
	</tr>
		
<%
		' Grab the next item in the record set
		dbRS.MoveNext
	Loop
%>
</table>

<%
Else
	' If there is no content then output an error message
	Response.Write("<i>No Content Found</i>")
End If

' Close and destroy the connection and record set
dbRS.close
dbConn.close

Set dbRS = Nothing
Set dbConn = Nothing

%>
