<cfsetting showDebugOutput="No">

<CFparam name="url.wpContentID" default="">

<CFif url.wpContentID IS "">
	<!--- If we don't have a content ID then this is new content --->
	
	<!--- we want to preform the following functions as part of the same transaction.  ---->
	<CFtransaction>
		<!--- insert the data into the database --->
		<CFquery name="qSaveContent" datasource="#WP_DSN#">	
			INSERT INTO content
			(content)
			VALUES
			('#form.wpContent#')
		</CFquery>
		
		
		<!--- 
			Query to find the last contentID created 
			With MS SQL Server you could use: SELECT @@IDENTITY as contentID
		--->
		<CFquery name="qGetContentID" datasource="#WP_DSN#">
			SELECT max(contentID) as nextContentID 
			FROM content
		</CFquery>
		
		<!--- output the new contentID for WP --->
		<CFoutput>
			<wpContentID>#qGetContentID.nextContentID#</wpContentID>
		</CFoutput>
	</CFtransaction>
	
<CFelse>
	<!--- If we know the content ID then overwrite the content for this ID. --->
	
	<!--- update the data in the database --->
	<CFquery name="qSaveContent" datasource="#WP_DSN#">	
		UPDATE content
		SET content = '#form.wpContent#'
		WHERE contentID = #url.wpContentID#
	</CFquery>
	
	<!--- re-output the current contentID for WP --->
	<CFoutput>
		<wpContentID>#url.wpContentID#</wpContentID>
	</CFoutput>
</CFif>