<?

// Connect to the Database
$conn = odbc_connect($WP_DSN, "", "");

if( isset($_POST["Submit"]) && $_POST["Submit"] == "Add Content" ){
	// Adding new content, insert into the content table
	
	// Create the insert statement
	$qContent = "INSERT INTO content";
	$qContent .= "(contentName, content) ";
	$qContent .= "VALUES ";
	$qContent .= "('" . $_POST["contentName"] . "', '" . $_POST["content"] . "') ";

	// Fix single quotes
	$qContent = str_replace("\'", "''", $qContent);
	$qContent = str_replace('\"', '"', $qContent);

	// Execute the insert
	odbc_do($conn, $qContent);
	
	// close db
	odbc_close($conn);
	
	// Redirect to the content list
	header( "Location: index.php" );
	exit();
	
} elseif( isset($_POST["Submit"]) && $_POST["Submit"] == "Edit Content" ){
	// Editing content, update the data in the content table
	
	// Create the update statement
	$qContent = "UPDATE content ";
	$qContent .= "SET contentName = '" . $_POST["contentName"] . "',  content = '" . $_POST["content"] . "' ";
	$qContent .= "WHERE contentID = " . $_POST["contentID"];
	
	// Fix single quotes
	$qContent = str_replace("\'", "''", $qContent);
	$qContent = str_replace('\"', '"', $qContent);
	
	// Execute the update
	odbc_do($conn, $qContent);
	
	// close db
	odbc_close($conn);
	
	// Redirect to the content list
	header( "Location: index.php" );
	exit();
	
} elseif( isset($_POST["Submit"]) && $_POST["Submit"] == "Cancel" ){
	// Canceled Add or Edit, send to index
	header( "Location: index.php" );
	exit();
}

if( isset($_GET["contentID"]) && $_GET["contentID"] != "" ){
	// We're editing content, select it from the database
	$qContent = "SELECT * ";
	$qContent .= "FROM content ";
	$qContent .= "WHERE contentID = " . $_GET["contentID"];
	
	// Run the query
	$result = odbc_do($conn, $qContent);
	// Get an array of data from the query results
	$arContent = odbc_fetch_array($result);
	
	// Set the contentName and content variables based on the content array
	$contentName = $arContent["contentName"];
	$content = $arContent["content"];	
} else {
	// Default the contentName and content variables to empty strings
	$contentName = "";
	$content = "";
}

?>

<h3>Use WysiPad 2 To Create Content</h3>

<form name="addEditContent" action="addEditContent.php" method="post">
	<p>
		<b>Content Name</b><Br>
		<input type="text" name="contentName" value="<?= $contentName ?>" size="40" maxlength="100">
	</p>
	<p>
		<b>Content</b><br>
		<div id="divView" style="position:relative; left:0; top: 0; background-color:#FFFFFF; width: 600px; height: 350px; visibility: visible">
			<!-- 
				This table is used to present a loading message to users during  the installation process.  You can place anything in here.
			-->
			<table border="0" cellpadding="0" cellspacing="0" style="position:absolute; left:0; top: 0; width: 100%; height: 100%; visibility: visible">
				<tr>
					<td bgcolor="#cccccc" align="center" valign="middle">
						<p>
							<img src="images/wpLogo.gif" width=250 height=59><Br>
							<img src="images/progressBar.gif" width=250 height=12>
						</p>
					</td>
				</tr>
			</table>
			<!-- 
				This is the actual object tag.  You must provide an id, classid, codebase, width and hight attributes.
				
				You must also, at least, provide the domain and port parameters.  Licensed copies also require the key parameter.
			-->
			<object id="ctlWysiPad2"
				classid="clsid:3ff35119-0152-4cda-9c5f-6a9b4d35a184"
				codebase="WysiPad2/WysiPad2.CAB#version=<?= $WP_Version ?>"
				width="600" height="350">
					<?
						// To make sure that all HTML is displayed correctly within WysiPad you 
						// must replace all & characters with &amp; and all " characters with &#34;
						
						$content = str_replace( "&", "&amp;", $content );
						$content = str_replace( "\"", "&#34;", $content );
						
					?>
					
					<!--
						You can use the debugMode parameter to output the results from your
						pathTo attributes. This is handy when trying to test your pathTo pages.
					-->
					<!-- <param name="debugMode" value="1"> -->
					
					<!-- You must provide the domain parameter.  This tells wysipad where to look for the pathTo attributes -->
					<param name="domain" value="<?= $WP_Domain ?>">
					<!-- You must provide the port parameter.  This tells wysipad which port to connect to on the server. This is typicaly 80. -->
					<param name="port" value="<?= $WP_Port ?>">
					
					<!--
						The content parameter is used to set content to and read content from WysiPad
						To set the content using JavaScript you can use:
							document.yourWysiPadId.content = "This is my content";
						To read content using JavaScript you can use:
							yourContent = document.yourWysiPadId.content;
					-->
					<param name="content" value="<?= $content ?>">
					
					<!-- All of the pathTo parameters are used to send or retreive data from your server. -->
					
					<!--
						The pathToStyleSheet parameter is used to set the stylesheet used to display the
						content.  Additionally, CSS classes appear in the Style > CSS Classes menu and can
						be applied to blocks of text.
					-->		
					<param name="pathToStyleSheet" value="styles.css">
					
					<!-- The pathToLinkList parameter is used to provide a list of links to WysiPad -->
					<param name="pathToLinkList" value="linkList.php">
					<!-- The pathToEmailLinkList parameter is used to provide a list of email addresses to WysiPad -->
					<param name="pathToEmailLinkList" value="emailLinkList.php">
					
					<!-- The pathToImageList parameter is used to provide a list of images to WysiPad -->
					<param name="pathToImageList" value="imageList.php">
					<!-- The pathToImageDelete parameter is used to delete images from your server -->
					<param name="pathToImageDelete" value="imageDelete.php">
					<!-- The pathToImageUpload parameter is used to upload images to your server -->
					<param name="pathToImageUpload" value="imageUpload.php">
					<!-- The maxUploadSize parameter is used to limit the maximum size of files in bytes which can be uploaded to the server. --->
					<param name="maxUploadSize" value="30000">

					<!--
						The pathToKeepAlive parameter is used to keep your session from timing out if you type
						into WysiPad for a period longer than the configured session timeout.
					 -->
					<param name="pathToKeepAlive" value="sessionKeepAlive.php">
					<!-- The keepAliveTimeout indicates in seconds how frequently to load the pathToKeepAlive page -->
					<param name="keepAliveTimeout" value="240">
					
					<!--
						You can use cookieName and cookieValue parameters to feed pass cookies to the Server with
						each page request.  You can also use urlName and urlValue parameters to pass url variables
						to each of the pathTo pages.
					-->
					<param name="cookieName1" value="PHPSESSID">
					<param name="cookieValue1" value="<? echo( session_id() ); ?>">
					
					<?
					// We're only going to enable saving directly to the server if we know the contentID.
					if( isset($_GET["contentID"]) && $_GET["contentID"] != ""){
					?>
						<!--
							The contentID parameter indicates any unique ID this content may have.  It is passed to
							the server on any request to any pathTo page, including the pathToSaveToServer which 
							can make use of it to save your content directly to your server without reloading a page.
						-->						
						<param name="contentID" value="<?= $_GET["contentID"] ?>">
						<param name="pathToSaveToServer" value="saveToServer.php">
					<?
					}	
					?>
			</object>
			
		</div>
		<!-- When we post the page we will set the value of this hidden field to the value of the content in WysiPad -->
		<input type="hidden" name="content" value="">
		<?
			// If we're editing content then output a hidden form field containing our contentID
			if( isset($_GET["contentID"]) && $_GET["contentID"] != "" ){
				echo("<input type=\"hidden\" name=\"contentID\" value=\"" . $_GET["contentID"] . "\">");
			}
		?>
	</p>
	
	<p>
		<?
			// If we're editing content then display an Edit button, otherwise display an Add button.
			if( !isset($_GET["contentID"]) ){
				echo("<input type=\"submit\" name=\"Submit\" value=\"Add Content\" onClick=\"document.addEditContent.content.value = document.ctlWysiPad2.getContent(0);\">");
			} else {
				echo("<input type=\"submit\" name=\"Submit\" value=\"Edit Content\" onClick=\"document.addEditContent.content.value = document.ctlWysiPad2.getContent(0);\">");
			}
		?>
		<input type="submit" name="Submit" value="Cancel">
	</p>
</form>