<%@ LANGUAGE="VBScript" %>

<%

Dim dbConn		' the dbConn to the Database
Dim qContent		' the query to execute 
Dim dbRS 		' a record set

Set dbConn = Server.CreateObject("ADODB.Connection")
dbConn.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + application("WP_DatabasePath") + ";Persist Security Info=False"

If Request.Form("Submit") = "Add Content" Then
	' Adding new content, insert into the content table
	
	' Create the insert statement
	qContent = "INSERT INTO content"
	qContent = qContent & "(contentName, content) "
	qContent = qContent & "VALUES "
	qContent = qContent & "('" & Replace(Request.Form("contentName"), "'", "''") & "', '" & Replace(Request.Form("content"), "'", "''") & "') "

	' Execute the insert
	dbConn.execute(qContent)
	dbConn.close
	Set dbConn = Nothing
		
	' Redirect to the content list
	Response.redirect("index.asp")
	
ElseIf Request.Form("Submit") = "Edit Content" Then
	' Editing content, update the data in the content table
	
	' Create the update statement
	qContent = "UPDATE content "
	qContent = qContent & "SET contentName = '" & Replace(Request.Form("contentName"), "'", "''") & "',  content = '" & Replace(Request.Form("content"), "'", "''") & "' "
	qContent = qContent & "WHERE contentID = " & Request.Form("contentID")
	
	' Execute the update
	dbConn.execute(qContent)
	dbConn.close
	Set dbConn = Nothing
	
	' Redirect to the content list
	Response.redirect("index.asp")
	
	
ElseIf Request.Form("Submit") = "Cancel" Then
	' Canceled Add or Edit, send to index
	Response.Redirect("index.asp")
	
End If

If Request.QueryString("contentID") <> "" Then
	' We're editing content, select it from the database
	qContent = "SELECT * "
	qContent = qContent & "FROM content "
	qContent = qContent & "WHERE contentID = " & Request.QueryString("contentID")
	
	Set dbRS = dbConn.Execute(qContent)
	
	contentName = dbRS("contentName")
	content = dbRS("content")
	
	dbRS.Close
	Set dbRS = Nothing
	dbConn.close
	Set dbConn = Nothing
Else
	' We're not editing content, default the content variables
	contentName = ""
	content = ""
End If
%>
<h3>Use WysiPad 2 To Create Content</h3>

<form name="addEditContent" action="addEditContent.asp" method="post">
	<p>
		<b>Content Name</b><Br>
		<input type="text" name="contentName" value="<%= contentName %>" size="40" maxlength="100">
	</p>
	<p>
		<b>Content</b><br>
		<div id="divView" style="position:relative; left:0; top: 0; background-color:#FFFFFF; width: 600px; height: 350px; visibility: visible">
			<!-- 
				This table is used to present a loading message to users during  the installation process.  You can place anything in here.
			-->
			<table border="0" cellpadding="0" cellspacing="0" style="position:absolute; left:0; top: 0; width: 100%; height: 100%; visibility: visible">
				<tr>
					<td bgcolor="#cccccc" align="center" valign="middle">
						<p>
							<img src="images/wpLogo.gif" width=250 height=59><Br>
							<img src="images/progressBar.gif" width=250 height=12>
						</p>
					</td>
				</tr>
			</table>
			<!-- 
				This is the actual object tag.  You must provide an id, classid, codebase, width and hight attributes.
				
				You must also, at least, provide the domain and port parameters.  Licensed copies also require the key parameter.
			-->
			<object id="ctlWysiPad2"
				classid="clsid:3ff35119-0152-4cda-9c5f-6a9b4d35a184"
				codebase="WysiPad2/WysiPad2.CAB#version=<%= application("wp_version") %>"
				width="600" height="350">
					<%
						' To make sure that all HTML is displayed correctly within WysiPad you 
						' must replace all & characters with &amp; and all " characters with &#34;
						
						content = Replace( content, "&", "&amp;" )
						content = Replace( content, """", "&#34;" )
					%>
					
					<!--
						You can use the debugMode parameter to output the results from your
						pathTo attributes. This is handy when trying to test your pathTo pages.
					-->
					<!-- <param name="debugMode" value="1"> --->
					
					<!-- You must provide the domain parameter.  This tells wysipad where to look for the pathTo attributes -->
					<param name="domain" value="<%= application("wp_domain") %>">
					<!-- You must provide the port parameter.  This tells wysipad which port to connect to on the server. This is typicaly 80. -->
					<param name="port" value="<%= application("wp_port") %>">
					
					<!--
						The content parameter is used to set content to and read content from WysiPad
						To set the content using JavaScript you can use:
							document.yourWysiPadId.content = "This is my content";
						To read content using JavaScript you can use:
							yourContent = document.yourWysiPadId.content;
					-->
					<param name="content" value="<%= content %>">
					
					<!-- All of the pathTo parameters are used to send or retreive data from your server. -->
					
					<!--
						The pathToStyleSheet parameter is used to set the stylesheet used to display the
						content.  Additionally CSS classes appear in the Style > CSS Classes menu and can
						be applied to blocks of text.
					-->		
					<param name="pathToStyleSheet" value="styles.css">
					
					<!-- The pathToLinkList parameter is used to provide a list of links to WysiPad -->
					<param name="pathToLinkList" value="linkList.asp">
					<!-- The pathToEmailLinkList parameter is used to provide a list of email addresses to WysiPad -->
					<param name="pathToEmailLinkList" value="emailLinkList.asp">
					
					<!-- The pathToImageList parameter is used to provide a list of images to WysiPad -->
					<param name="pathToImageList" value="imageList.asp">
					<!-- The pathToImageDelete parameter is used to delete images from your server -->
					<param name="pathToImageDelete" value="imageDelete.asp">
					<!-- The pathToImageUpload parameter is used to upload images to your server -->
					<param name="pathToImageUpload" value="imageUpload.asp">
					<!-- The maxUploadSize parameter is used to limit the maximum size of files in bytes which can be uploaded to the server. --->
					<param name="maxUploadSize" value="30000">

					<!--
						The pathToKeepAlive parameter is used to keep your session from timing out if you type
						into WysiPad for a period longer than the configured session timeout.
					 -->
					<param name="pathToKeepAlive" value="sessionKeepAlive.asp">
					<!-- The keepAliveTimeout indicates in seconds how frequently to load the pathToKeepAlive page -->
					<param name="keepAliveTimeout" value="240">
					
					<!--
						You can use cookieName and cookieValue parameters to feed pass cookies to the Server with
						each page request.  You can also use urlName and urlValue parameters to pass url variables
						to each of the pathTo pages.
					-->
					<param name="cookieName1" value="">
					<param name="cookieValue1" value="">
					
					<%
					' We're only going to enable saving directly to the server if we know the contentID.
					If Request.QueryString("contentID") <> "" Then
					%>
						<!--
							The contentID parameter indicates any unique ID this content may have.  It is passed to
							the server on any request to any pathTo page, including the pathToSaveToServer which 
							can make use of it to save your content directly to your server without reloading a page.
						-->						
						<param name="contentID" value="<%= Request.QueryString("contentID") %>">
						<param name="pathToSaveToServer" value="saveToServer.asp">
					<%
					End If
					%>
			</object>
			<script language="javascript">
				// ASP doesn't have a way to directly access the cookie it uses to identify the client's session.
				// Because this site requires you to log in, and because your session is managed on the server, 
				// and because all of the support pathTo pages are in the same application, we need to use some
				// javascript to get the ASPSESSIONIDXXXXXXXX cookie and it's value and place it into a WysiPad
				// cookie so that subsequent page requests from WysiPad will join into your session.
				
				// split your cookies into an array based on the ; character
				// this will have each cookies like: name=value
				arCookies = document.cookie.split(";");
				
				// loop though the array of cookies
				for( x = 0 ; x < arCookies.length ; x++ ){
					// if this cookie starts with ASPSESSIONID then this is the cookie used for session management
					if( arCookies[x].substr(0, 12) == "ASPSESSIONID" ){
						// split the cookie into an array by the = character
						arAspCookie = arCookies[x].split("=");
						
						// trim whitespace from both elements in the array
						aspCookieName = arAspCookie[0].replace( /(^\s+)|(\s+$)/g,'');
						aspCookieValue = arAspCookie[1].replace( /(^\s+)|(\s+$)/g,'');
						
						// set the wysipad cookue name and value based on the results
						document.ctlWysiPad2.cookieName1 = aspCookieName;
						document.ctlWysiPad2.cookieValue1 = aspCookieValue;
					}
				}
			
			
			</script>
		</div>
		<!-- When we post the page we will set the value of this hidden field to the value of the content in WysiPad -->
		<input type="hidden" name="content" value="">
		<%
			' If we're editing content then output a hidden form field containing our contentID
			If Request.QueryString("contentID") <> "" Then
				Response.Write("<input type=""hidden"" name=""contentID"" value=""" & Request.QueryString("contentID") & """>")
			End If
		%>
	</p>
	
	<p>
		<%
			' If we're editing content then display an Edit button, otherwise display an Add button.
			If Request.QueryString("contentID") = "" Then	
				Response.Write("<input type=""submit"" name=""Submit"" value=""Add Content"" onClick=""document.addEditContent.content.value = document.ctlWysiPad2.getContent(0);"">")
			Else
				Response.Write("<input type=""submit"" name=""Submit"" value=""Edit Content"" onClick=""document.addEditContent.content.value = document.ctlWysiPad2.getContent(0);"">")
			End If
		%>
		<input type="submit" name="Submit" value="Cancel">
	</p>
</form>

