<%
'' The vast majority of this code was coppied from msdn.microsoft.com.  
'' See http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnasdj01/html/asp0900.asp 
'' for more informtion.  

'' The purpose of this code is to recieve and process form data encoded in as multipart/form-data
'' which is necessary to upload binary images from the client to the server.  Additionaly a few 
'' form fields like wpImageName are sent in the same post request and they must be extracted too.

'' The code from this point to line 98 are used to process form data

' Adjust this depending on the size of the files you'll be expecting; longer timeout for larger files!
Server.ScriptTimeout = 5400

Const ForWriting = 2
Const TristateTrue = -1
CrLf = Chr(13) & Chr(10)

' This function retreives a field's name
Function GetFieldName(infoStr)
	sPos = InStr(infoStr, "name=")
	EndPos = InStr(sPos + 6, infoStr, Chr(34) & ";")
	If EndPos = 0 Then
		EndPos = inStr(sPos + 6, infoStr, Chr(34))
	End If
	GetFieldName = Mid(infoStr, sPos + 6, endPos - _
		(sPos + 6))
End Function

' This function retreives a file field's filename
Function GetFileName(infoStr)
	sPos = InStr(infoStr, "filename=")
	EndPos = InStr(infoStr, Chr(34) & CrLf)
	GetFileName = Mid(infoStr, sPos + 10, EndPos - _
		(sPos + 10))
End Function

' This function retreives a file field's MIME type
Function GetFileType(infoStr)
	sPos = InStr(infoStr, "Content-Type: ")
	GetFileType = Mid(infoStr, sPos + 14)
End Function

' Yank the file (and anything else) that was posted
PostData = ""
Dim biData
biData = Request.BinaryRead(Request.TotalBytes)
'Careful! It's binary! So, let's change it into something a bit more manageable.
For nIndex = 1 to LenB(biData)
	PostData = PostData & Chr(AscB(MidB(biData,nIndex,1)))
Next

' Having used BinaryRead, the Request.Form collection
' is no longer available to us. So, we have to parse
' the request variables ourselves!
' First, let's find that encoding type!

ContentType = Request.ServerVariables("HTTP_CONTENT_TYPE")
ctArray = Split(ContentType, ";")

ErrMsg = ""
' grab the form boundary...
bArray = Split(Trim(ctArray(1)), "=")
Boundary = Trim(bArray(1))

' Now use that to split up all the variables!
FormData = Split(PostData, Boundary)
' Extract the information for each variable and its data
Dim myRequest, myRequestFiles(9, 3) 
Set myRequest = CreateObject("Scripting.Dictionary")
FileCount = 0
For x = 0 to UBound(FormData)
	' Two CrLfs mark the end of the information about
	' this field. everything after that is the value
	InfoEnd = InStr(FormData(x), CrLf & CrLf)
	If InfoEnd > 0 Then
		' Get info for this field, minus stuff at the end
		varInfo = Mid(FormData(x), 3, InfoEnd - 3)
		
		' Get value for this field, being sure to skip CrLf pairs at the start and the CrLf at the end
		varValue = Mid(FormData(x), InfoEnd + 4, Len(FormData(x)) - InfoEnd - 7)
		
		' Is this a file?
		If (InStr(varInfo, "filename=") > 0) Then
			' Place it into our files array
			myRequestFiles(FileCount, 0) = GetFieldName(varInfo)
			myRequestFiles(FileCount, 1) = varValue
			myRequestFiles(FileCount, 2) = GetFileName(varInfo)
			myRequestFiles(FileCount, 3) = GetFileType(varInfo)
			FileCount = FileCount + 1
		Else
			' It's a regular field
			myRequest.add GetFieldName(varInfo), varValue
		End If
	End If
Next

' Save the actual posted file to disk

' Create a new FileSystemObject
Set lf = server.createObject("Scripting.FileSystemObject")

'' becase WysiPad only works on windows I will not worry about MAC file names
' get the file name from the posted file name. 
sPos = InStrRev(myRequestFiles(0, 2), "\")
fName = Mid(myRequestFiles(0, 2), sPos + 1)

' Set the upload path
FilePath = "images/" & fName

' Write the file to the server
SavePath = Server.MapPath(FilePath)
Set SaveFile = lf.CreateTextFile(SavePath, True)
SaveFile.Write(myRequestFiles(0, 1))
' Close the FileSystemObject
SaveFile.Close

' If there were no messages then write the image information into the database
If ErrMsg = "" Then
	' Now that the image is uploaded add it into the database of images
	Dim dbConn		' the dbConn to the Database
	Dim qUpload		' the query to execute 
	
	Set dbConn = Server.CreateObject("ADODB.Connection")
	dbConn.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + application("WP_DatabasePath") + ";Persist Security Info=False"
	
	' Create the insert statement
	qUpload = "INSERT INTO images "
	qUpload = qUpload & "(imageName, imagePath, fileSize, width, height) "
	qUpload = qUpload & "VALUES "
	qUpload = qUpload & "('" & myRequest("wpImageName") & "', '" & FilePath & "', " & myRequest("wpImageSize") & ", " & myRequest("wpImageWidth") & ", " &  myRequest("wpImageHeight") & ") "
	
	' Execute the delete
	dbConn.execute(qUpload)
	
	' Close and destroy the connection
	dbConn.close
	Set dbConn = Nothing
Else
	' Output the error message
	Response.Write(ErrMsg)
End If



%>