<CFparam name="url.contentID" default="">
<CFparam name="form.Submit" default="">

<CFif form.Submit IS "Add Content">
	<!--- Adding new content, insert into the content table --->
	<CFquery name="qContent" datasource="#WP_DSN#">
		INSERT INTO content
		(contentName, content)
		VALUES
		('#contentName#', '#content#')
	</CFquery>
	<!--- Redirect to the content list --->
	<CFlocation url="index.cfm">
	
<CFelseif form.Submit IS "Edit Content">
	<!--- Editing content, update the data in the content table --->
	<CFquery name="qContent" datasource="#WP_DSN#">
		UPDATE content
		SET contentName = '#contentName#', content = '#content#' 
		WHERE contentID = #form.contentID#
	</CFquery>
	<!--- Redirect to the content list --->
	<CFlocation url="index.cfm">
	
<CFelseif form.Submit IS "Cancel">
	<!--- Canceled Add or Edit, send to index --->
	<CFlocation url="index.cfm">

</CFif>

<CFparam name="contentName" default="">
<CFparam name="content" default="">

<CFif url.contentID IS NOT "">
	<CFquery name="qContent" datasource="#WP_DSN#">
		SELECT *
		FROM content
		WHERE contentID = #url.contentID#
	</CFquery>
	
	<CFset contentName = qContent.contentName>
	<CFset content = qContent.content>	
</CFif>

<h3>Use WysiPad 2 To Create Content</h3>

<form name="addEditContent" action="addEditContent.cfm" method="post">
	<p>
		<b>Content Name</b><Br>
		<input type="text" name="contentName" value="<CFoutput>#contentName#</CFoutput>" size="40" maxlength="100">
	</p>
	<p>
		<b>Content</b><br>
		<div id="divView" style="position:relative; left:0; top: 0; background-color:#FFFFFF; width: 600px; height: 350px; visibility: visible">
			<!--- 
				This table is used to present a loading message to users during  the installation process.  You can place anything in here.
			--->
			<table border="0" cellpadding="0" cellspacing="0" style="position:absolute; left:0; top: 0; width: 100%; height: 100%; visibility: visible">
				<tr>
					<td bgcolor="#cccccc" align="center" valign="middle">
						<p>
							<img src="images/wpLogo.gif" width=250 height=59><Br>
							<img src="images/progressBar.gif" width=250 height=12>
						</p>
					</td>
				</tr>
			</table>
			<!--- 
				This is the actual object tag.  You must provide an id, classid, codebase, width and hight attributes.
				
				You must also, at least, provide the domain and port parameters.  Licensed copies also require the key parameter.
			--->
			<object id="ctlWysiPad2"
				classid="clsid:3ff35119-0152-4cda-9c5f-6a9b4d35a184"
				codebase="WysiPad2/WysiPad2.CAB#version=<CFoutput>#WP_Version#</CFoutput>"
				width="600" height="350">
					
					
					<!---
						To make sure that all HTML is displayed correctly within WysiPad you 
						must replace all & characters with &amp; and all " characters with &#34;
					--->
					<CFset content = replace(content, "&", "&amp;", "all")>
					<CFset content = replace(content, """", "&##34;", "all")>
					
					<!---
						You can use the debugMode parameter to output the results from your
						pathTo attributes. This is handy when trying to test your pathTo pages.
					--->
					<param name="debugMode" value="1">
					
					<!--- You must provide the domain parameter.  This tells wysipad where to look for the pathTo attributes --->
					<param name="domain" value="<CFoutput>#WP_Domain#</CFoutput>">
					<!--- You must provide the port parameter.  This tells wysipad which port to connect to on the server. This is typicaly 80. --->
					<param name="port" value="<CFoutput>#WP_Port#</CFoutput>">
					
					<!---
						The content parameter is used to set content to and read content from WysiPad
						To set the content using JavaScript you can use:
							document.yourWysiPadId.content = "This is my content";
						To read content using JavaScript you can use:
							yourContent = document.yourWysiPadId.content;
					--->
					<param name="content" value="<CFoutput>#content#</CFoutput>">
					
					<!--- All of the pathTo parameters are used to send or retreive data from your server. --->
					
					<!---
						The pathToStyleSheet parameter is used to set the stylesheet used to display the
						content.  Additionally, CSS classes appear in the Style > CSS Classes menu and can
						be applied to blocks of text.
					--->		
					<param name="pathToStyleSheet" value="styles.css">
					
					<!--- The pathToLinkList parameter is used to provide a list of links to WysiPad --->
					<param name="pathToLinkList" value="linkList.cfm">
					<!--- The pathToEmailLinkList parameter is used to provide a list of email addresses to WysiPad --->
					<param name="pathToEmailLinkList" value="emailLinkList.cfm">
					
					<!--- The pathToImageList parameter is used to provide a list of images to WysiPad --->
					<param name="pathToImageList" value="imageList.cfm">
					<!--- The pathToImageDelete parameter is used to delete images from your server --->
					<param name="pathToImageDelete" value="imageDelete.cfm">
					<!--- The pathToImageUpload parameter is used to upload images to your server --->
					<param name="pathToImageUpload" value="imageUpload.cfm">
					<!--- The maxUploadSize parameter is used to limit the maximum size of files in bytes which can be uploaded to the server. --->
					<param name="maxUploadSize" value="30000">

					<!---
						The pathToKeepAlive parameter is used to keep your session from timing out if you type
						into WysiPad for a period longer than the configured session timeout.
					 --->
					<param name="pathToKeepAlive" value="sessionKeepAlive.cfm">
					<!--- The keepAliveTimeout indicates in seconds how frequently to load the pathToKeepAlive page --->
					<param name="keepAliveTimeout" value="240">
					
					<!---
						You can use cookieName and cookieValue parameters to feed pass cookies to the Server with
						each page request.  You can also use urlName and urlValue parameters to pass url variables
						to each of the pathTo pages.
					--->
					<param name="cookieName1" value="CFID">
					<param name="cookieValue1" value="<CFoutput>#cookie.cfid#</CFoutput>">
					<param name="cookieName2" value="CFTOKEN">
					<param name="cookieValue2" value="<CFoutput>#cookie.cftoken#</CFoutput>">
					
					<CFif url.contentID IS NOT "">
						<!--- We're only going to enable saving directly to the server if we know the contentID. --->
						<!---
							The contentID parameter indicates any unique ID this content may have.  It is passed to
							the server on any request to any pathTo page, including the pathToSaveToServer which 
							can make use of it to save your content directly to your server without reloading a page.
						--->
						<param name="contentID" value="<CFoutput>#url.contentID#</CFoutput>">
						<param name="pathToSaveToServer" value="saveToServer.cfm">
					</CFif>
			</object>
			
		</div>
		<!--- When we post the page we will set the value of this hidden field to the value of the content in WysiPad --->
		<input type="hidden" name="content" value="">
		<CFif url.contentID IS NOT "">
			<!--- If we're editing content then output a hidden form field containing our contentID --->
			<input type="hidden" name="contentID" value="<CFoutput>#url.contentID#</CFoutput>">
		</CFif>
	</p>
	
	<p>
		<CFif url.contentID IS NOT "">
			<!--- If we're editing content then display an Edit button, otherwise display an Add button. --->
			<input type="submit" name="Submit" value="Edit Content" onClick="document.addEditContent.content.value = document.ctlWysiPad2.getContent(0);">
		<CFelse>
			<input type="submit" name="Submit" value="Add Content" onClick="document.addEditContent.content.value = document.ctlWysiPad2.getContent(0);">
		</CFif>
		<input type="submit" name="Submit" value="Cancel">
	</p>
</form>