<h3>WysiPad 2 Example Application</h3>

<p>[<a href="addEditContent.php">Add Content</a>][<a href="login.php?logout=1">Log Out</a>]</p>

<?

// Connect to the database
$conn = odbc_connect($WP_DSN, "", "");

// Query for any content in the database
$qSelContent = "SELECT contentID, contentName ";
$qSelContent .= "FROM content ";
$qSelContent .= "ORDER BY contentName ";

// Execute the query
$result = odbc_do($conn, $qSelContent);

// The odbc_num_rows does not appear to work with Access DBs, but is in here for example.
// When you have 0 rows returned by the query above you will probably not receive the
// No Content message below.
if( odbc_num_rows($result) ){
	?>
	<table border="1">
		<tr>
			<td><b>Name</b></td>
			<td><b>Options</b></td>
		</tr>
	<?
	while( $content = odbc_fetch_array($result) ) {
	?>
		<tr>
			<td><?= $content["contentName"] ?></td>
			<td><a href="viewContent.php?contentID=<?= $content["contentID"] ?>">View</a> | <a href="addEditContent.php?contentID=<?= $content["contentID"] ?>">Edit</a> | <a href="deleteContent.php?contentID=<?= $content["contentID"] ?>">Delete</a></td>
		</tr>
	<?
	}
	?>
	</table>
	<?
} else {
	// ' If there is no content then output an error message
	echo( "<i>No Content Found</i>" );
}

// close the connection
odbc_close($conn);

?>

