<?

//  Connect to the database
$conn = odbc_connect($WP_DSN, "", "");

if( !isset($_GET["wpContentID"]) ){
	// If we don't have a content ID then this is new content
	
	// we want to preform the following functions as part of the same transaction. 
	// because of this we do not want to autocommit
	odbc_autocommit($conn, false);
	
	// Create an insert statement	
	$qSaveContent = "INSERT INTO content ";
	$qSaveContent .= "(content) ";
	$qSaveContent .= "VALUES ";
	$qSaveContent .= "(' " . $_POST["wpContent"] . "' ) ";
	
	// Fix single quotation marks
	$qSaveContent = str_replace("\'", "''", $qSaveContent);
	$qSaveContent = str_replace('\"', '"', $qSaveContent);
	
	// Run the insert
	odbc_do($conn, $qSaveContent);
	
	// Create a query to get the last ID inserted into the database
	// With MS SQL Server you could use: SELECT @@IDENTITY as contentID
	$qLastContentID = "SELECT max(contentID) as nextContentID ";
	$qLastContentID .= "FROM content ";
	
	// Run the query
	$result = odbc_do($conn, $qLastContentID);
	
	// Get the contentID
	$nextContentID = odbc_fetch_array($result);
	
	// Commit the transaction
	odbc_commit($conn);
	
	//  Output the new content ID
	echo("<wpContentID>");
	echo($nextContentID["nextContentID"]);
	echo("</wpContentID>");
	
} else {
	// If we know the content ID then overwrite the content for this ID.
	
	//  Create an update statement
	$qSaveContent = "UPDATE content ";
	$qSaveContent .= "SET content = '" . $_POST["wpContent"] . "' ";
	$qSaveContent .= "WHERE contentID = " . $_GET["wpContentID"];
	
	// Fix single quotation marks
	$qSaveContent = str_replace("\'", "''", $qSaveContent);
	$qSaveContent = str_replace('\"', '"', $qSaveContent);
	
	//  Run the update
	odbc_do($conn, $qSaveContent);
	
	//  Output the old content ID
	echo("<wpContentID>");
	echo($_GET["wpContentID"]);
	echo("</wpContentID>");
}

// Close the DB connection
odbc_close($conn);

?>